=== debian/changelog ===
bpfmon (2.49-1) unstable; urgency=medium

  * Update to new upstream release of 2.48
    - Do not capitalize short description
  * Update to new upstream release of 2.49
    - Fix OOB on Hurd because libpcap does not support pcap_get_selectable_fd

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 15 Sep 2020 14:05:42 +0000

bpfmon (2.46-1) unstable; urgency=medium

  * Initial release (Closes: #969931)

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 12 Aug 2020 18:55:16 +0000
