=== debian/control ===
Source: bpfmon
Section: admin
Priority: optional
Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 debhelper-compat (= 13),
 libpcap-dev,
 libyascreen-dev,
 pkg-config,
Standards-Version: 4.5.0
Homepage: https://github.com/bbonev/bpfmon
Vcs-Browser: https://github.com/bbonev/bpfmon
Vcs-Git: https://github.com/bbonev/bpfmon.git
Rules-Requires-Root: no

Package: bpfmon
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: traffic monitor for BPF expression/iptables rule
 While tcpdump shows what packets are going through the
 network, bpfmon will show how much in terms
 of bytes per second and packets per second in a
 nice pseudo-graphical terminal interface.
 .
 bpfmon also supports monitoring an iptables rule that
 is selected by command line option or selected from a
 menu.
