=== debian/rules ===
#!/usr/bin/make -f
export NO_FLTO=1
export PREFIX=/usr
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=makefile --without=autoreconf

override_dh_auto_build:
	dh_auto_build -- \
		STRIP=: \
		bpfmon

override_dh_auto_install:
	install -TD -m755 bpfmon debian/bpfmon/usr/sbin/bpfmon
	install -TD -m644 bpfmon.8 debian/bpfmon/usr/share/man/man8/bpfmon.8
