=== debian/watch ===
version=4

opts=\
	"filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bpfmon_$1.orig.tar.gz%,pgpsigurlmangle=s/archive\/v([0-9.]+)\.tar\.gz/releases\/download\/v$1\/bpfmon-$1\.tar\.gz\.asc/" \
	https://github.com/bbonev/bpfmon/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz \
	debian uupdate
