=== debian/watch ===
version=4

opts=\
	"filenamemangle=s%(?:.*?)?bpfmon-?(\d[\d.]*)\.tar\.xz%bpfmon_$1.orig.tar.xz%,pgpsigurlmangle=s/releases\/download\/v([0-9.]+)\/bpfmon-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/bpfmon-$1\.tar\.xz\.asc/" \
	https://github.com/bbonev/bpfmon/releases \
	(?:.*?/)?bpfmon-?(\d[\d.]*)\.tar\.xz \
	debian uupdate
