=== debian/changelog ===
bpfmon (2.51-1) unstable; urgency=medium

  * Update to new upstream release of 2.51
  * Bump standards to 4.6.2, no changes

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 02 Jan 2023 22:39:51 +0000
