=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libpcap-dev,
  libyascreen-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/bbonev/bpfmon
 Vcs-Browser: https://github.com/bbonev/bpfmon
 Vcs-Git: https://github.com/bbonev/bpfmon.git
