## bpfmon 2.52

=== debian/changelog ===
bpfmon (2.52-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:50 +1100

bpfmon (2.52-1build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:58:21 +0100

bpfmon (2.52-1) unstable; urgency=medium

  * Update to new upstream release of 2.52

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 13 Aug 2023 02:01:37 +0000
