=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bpfmon
 Section: admin
 Priority: optional
-Maintainer: Boian Bonev <bbonev@ipacct.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boian Bonev <bbonev@ipacct.com>
 Build-Depends:
  debhelper-compat (= 13),
  libpcap-dev,
