=== debian/changelog ===
bpfmon (2.53-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 21 Dec 2024 07:40:48 +0000

bpfmon (2.53-1) unstable; urgency=medium

  * Update to new upstream release of 2.53
  * Bump standards to 4.7.0, no changes
  * Change pkg-config to pkgconf

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 02 Nov 2024 21:52:32 +0000
