=== debian/watch ===
version=4

opts="searchmode=plain, \
	pgpsigurlmangle=s/releases\/download\/v([0-9.]+)\/bpfmon-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/bpfmon-$1\.tar\.xz\.asc/" \
	https://api.github.com/repos/bbonev/bpfmon/releases \
	https://github.com/bbonev/bpfmon/releases/download/v\d[\.\d]*/bpfmon-@ANY_VERSION@.tar.xz
